<?php
/**
 * Navigation manage view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- start: .ipcht-sidebar -->
<div class="ipcht-sidebar">
  <!-- start: .ipcht-sidebar-inner -->
  <div class="ipcht-sidebar-inner">
    
    <input 
      type="hidden" 
      name="tab_selected" 
      id="ipcht-tab-selected" 
      value="<?php echo $this->tab; ?>" />

    <ul class="ipcht-page-menu ipcht-tab-menu">
      <?php
      if ( ! isset( $this->navGeneral ) || 
           ( isset( $this->navGeneral ) && ! $this->navGeneral ) ) :
      ?>
      <li>
        <a href="#ipcht-section-general" class="active">
          <i class="ipcht-fa ipcht-fa-cogs"></i>
          <strong><?php _e( 'General', IPCHT_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      endif;
      ?>
      <?php
      $struct = $this->navManageStructure;
      if ( ! isset( $this->singleManage ) ):
        if ( $this->object ):
          if ( ! empty( $struct )) :
            foreach( $struct as $id => $option ) :
        ?>
            <li>
              <a href="#<?php echo $id; ?>">
                <i class="ipcht-fa ipcht-fa-<?php echo $option['icon']; ?>"></i>
                <strong><?php _e( $option['title'], IPCHT_SLUG ); ?></strong>
              </a>
            </li>
        <?php
            endforeach;
          endif;
        endif;
      else:

        if ( ! empty( $struct )) :
          foreach( $struct as $id => $option ) :
        ?>
          <li>
            <a href="#<?php echo $id; ?>">
              <i class="ipcht-fa ipcht-fa-<?php echo $option['icon']; ?>"></i>
              <strong><?php _e( $option['title'], IPCHT_SLUG ); ?></strong>
            </a>
          </li>
        <?php
          endforeach;
        endif;

      endif;
      ?>
    </ul>

    <?php
    $this->afterNavManage();
    ?>

  </div>
  <!-- start: .ipcht-sidebar-inner -->
</div>
<!-- end: .ipcht-sidebar -->
