<?php
/**
 * Widget main content user view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$config   = $this->widgetConfig;
$system   = $this->systemConfig;
$dspChat  = ' style="display:none;"';
$chats    = array();
$session  = $this->isLogin();
$sessKey  = '';
$userName = '-';

if ( $this->isOnline() && $session )
{
	$dspChat  = '';
	$chats    = IPCht_Chat::getChats();
	$sessKey  = $session['sess_key'];
	$userName = $session['user_name'];
}
?>

<!-- start: .ipcht-content-chat -->
<div class="ipcht-content ipcht-content-chat"<?php echo $dspChat; ?>>
	<!-- start: .ipcht-content-inner -->
	<div class="ipcht-content-inner">

		<!-- start: .ipcht-chat-area -->
		<div class="ipcht-chat-area">
			<!-- start: .ipcht-chats-block -->
			<div class="ipcht-chats-block">

				<?php 
				$class  = 'ipcht-chats-list';
				$class .= ' ipcht-bubble-radius-' . $config->getSetting( 'chat_border_radius', 'none' );
				$class .= ' ipcht-bubble-arrow-';
				if ( $config->getSetting( 'chat_arrow', 'true' ) == 'true' ) {
					$class .= 'on';
				} else {
					$class .= 'off';
				}
				$class .= ' ipcht-photo-';
				if ( $config->getSetting( 'chat_photo', 'true' ) == 'true' ) {
					$class .= 'on';
				} else {
					$class .= 'off';
				}
				$class .= ' ipcht-bubble-shadow-';
				if ( $config->getSetting( 'chat_shadow', 'true' ) == 'false' ) {
					$class .= 'on';
				} else {
					$class .= 'off';
				}
				?>
				<div class="<?php echo $class; ?>">
					
					<?php
		  		$colors = array(
		  			'#666666',
		  			'#336eb8',
		  			'#3da7c6',
		  			'#33a746',
		  			'#c14127',
		  			'#ce6e3a',
		  			'#ada458',
		  			'#b55a94',
		  			'#824b9b',
		  			'#4e429a',
		  			'#569f84',
		  			'#8ba955'
		  		);
  				$rand 			= rand( 0, 11 );
  				$colorAdmin = $colors[$rand];
  				unset( $colors[$rand]) ;
  				sort( $colors );

  				$rand 			= rand( 0, 10 );
  				$colorUser  = $colors[$rand];
					$lastDate   = date( 'd-m-Y h:i:s' );

					if ( ! empty( $chats )) :
						foreach( $chats as $chat ) :

							$userphoto = false;
							$photoId   = 0;
							$lastDate  = mysql2date( 'd-m-Y h:i:s', $chat->chat_timestamp_gmt );
							if ( $chat->chat_originates == 2 ) {
				        $name  = $chat->user_name;
				        $color = $colorUser;
        				$photoId = $system->getSetting( 'user_photo' );
				      } else {
				        $name  = $system->getSetting( 'admin_name', get_option( 'blogname' ) );
        				$photoId = $system->getSetting( 'admin_photo' );
				        $color = $colorAdmin;
				      }
							$char = substr( $name, 0, 1 );

							if ( ! empty( $photoId ))
				      {
				        $phdata = wp_get_attachment_image_src( $photoId, 'full' );
				        if ( ! empty( $phdata[0] )) {
				          $userphoto = $phdata[0];
				        }
				      }
					?>

					<!-- start: .ipcht-chat-item -->
					<div class="ipcht-chat-item" data-id="<?php echo $chat->chat_id; ?>" data-color="<?php echo $color; ?>">
						<!-- start: .ipcht-chat-inner -->
						<div class="ipcht-chat-inner ipcht-clearfix">
							<div class="ipcht-chat-icon ipcht-chat-icon-alpha" style="background-color:<?php echo $color; ?>">
								<?php
								$thumbType = $system->getSetting( 'user_photo_type', 'name' );
							  if ( $thumbType == 'name' ) {
									echo $char; 
							  }
							  elseif ( $thumbType == 'photo' && $userphoto ) {
							    echo '<img class="ipcht-user-photo" src="' . $userphoto . '" alt="">';
							  }
								?>
							</div>
							<!-- start: .ipcht-chat-bubble -->
							<div class="ipcht-chat-bubble">
								<!-- start: .ipcht-chat-bubble-inner -->
								<div class="ipcht-chat-bubble-inner">
									<!-- start: .ipcht-chat-top -->
									<div class="ipcht-chat-top">
										<div class="ipcht-chat-user">
											<strong><?php echo $name; ?></strong>
										</div>
										<div class="ipcht-chat-date">
											<?php 
											echo mysql2date( 'd/m h:m', $chat->chat_timestamp );
											?>
											<span class="ipcht-chat-status ipcht-chat-status-delivered">
												<i class="ipcht-fa ipcht-fa-clock-o"></i>
												<i class="ipcht-fa ipcht-fa-check"></i>
											</span>
										</div>
									</div>
									<!-- end: .ipcht-chat-top -->
									<div class="ipcht-chat-message"><?php echo stripslashes( nl2br( $chat->chat_message ) ); ?></div>
								</div>
								<!-- end: .ipcht-chat-bubble-inner -->
							</div>
							<!-- end: .ipcht-chat-bubble -->
						</div>
						<!-- end: .ipcht-chat-inner -->
					</div>
					<!-- end: .ipcht-chat-item -->

					<?php
						endforeach;
					endif;
					?>
					<div class="ipcht-chat-system-data" data-lastdate="<?php echo $lastDate; ?>"></div>

				</div>
			</div>
			<!-- end: .ipcht-chats-block -->

			<!-- start: .ipcht-chat-input -->
			<div class="ipcht-chat-input ipcht-form-wrapper">
				<form id="ipcht-form-chat" action="" method="post">
					<div class="ipcht-form-fields">
						<div class="ipcht-form-field">
							<?php
							$label = stripslashes( $config->getSetting( 'input_chat_label', __( 'Enter your message...', IPCHT_SLUG ) ));
							?>
							<textarea id="ipcht-form-input-chat" class="ipcht-form-control" name="message" placeholder="<?php echo $label; ?>"></textarea>
						</div>
					</div>
					<div class="ipcht-form-submit">
						<button type="submit" name="dosubmit" class="ipcht-btn-submit">
							<?php
							echo stripslashes( $config->getSetting( 'submit_chat_label', __( 'Send', IPCHT_SLUG ) ));
							?>
						</button>
					</div>

					<div class="ipcht-chat-data">
						<?php
						$system    = $this->systemConfig;
						$userChar  = substr( $userName, 0, 1 );
						$adminName = $system->getSetting( 'admin_name', get_option( 'blogname' ) );
						$adminChar = substr( $adminName, 0, 1 );
						$iconType  = $system->getSetting( 'user_photo_type', 'name' );

						$userPhoto  = '';
						if ( $photo = $system->getSetting( 'user_photo' ))
						{
							$data = wp_get_attachment_image_src( $photo );
					    if ( ! empty( $data[0] )) {
					      $userPhoto = $data[0];
					    }
					  }
						$adminPhoto = '';
						if ( $photo = $system->getSetting( 'admin_photo' ))
						{
							$data = wp_get_attachment_image_src( $photo );
					    if ( ! empty( $data[0] )) {
					      $adminPhoto = $data[0];
					    }
					  }
						?>
						<input type="hidden" class="ipcht-chat-data-user-name" name="user_name" value="<?php echo $userName; ?>">
						<input type="hidden" class="ipcht-chat-data-admin-name" name="admin_name" value="<?php echo $adminName; ?>">
						<input type="hidden" class="ipcht-chat-data-icon-type" name="icon_type" value="<?php echo $iconType; ?>">
						<input type="hidden" class="ipcht-chat-data-user-icon-text" name="user_icon_text" value="<?php echo $userChar; ?>">
						<input type="hidden" class="ipcht-chat-data-user-icon-url" name="user_icon_url" value="<?php echo $userPhoto; ?>">
						<input type="hidden" class="ipcht-chat-data-user-icon-color" name="user_icon_color" value="<?php echo $colorUser; ?>">
						<input type="hidden" class="ipcht-chat-data-admin-icon-text" name="admin_icon_text" value="<?php echo $adminChar; ?>">
						<input type="hidden" class="ipcht-chat-data-admin-icon-url" name="admin_icon_url" value="<?php echo $adminPhoto; ?>">
						<input type="hidden" class="ipcht-chat-data-admin-icon-color" name="admin_icon_color" value="<?php echo $colorAdmin; ?>">
						<input type="hidden" class="ipcht-chat-data-key" name="key" value="<?php echo $sessKey; ?>">
					</div>
				</form>
			</div>
			<!-- end: .ipcht-chat-input -->

		</div>
		<!-- end: .ipcht-chat-area -->

	</div>
	<!-- end: .ipcht-content-inner -->
</div>
<!-- end: .ipcht-content-chat -->