<?php
/**
 * Controller to handling save setting
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPCht_Ajax_Update_setting' ))
{
  class IPCht_Ajax_Update_setting
  {
    /**
     * Execution save setting
     *
     * @return void
     */
    public function exec()
    {
      $error = false;
      $model = new IPCht_Model_Setting();
      $model->saveSettings();

      if ( $error ) {
          $status = 0;
          $msg    = __( 'Failed save settings.', IPCHT_SLUG );
      } else {
          $status = 1;
          $msg    = __( 'Successfully updated settings.', IPCHT_SLUG );
      }
      echo json_encode( array(
          'status'    => $status,
          'message'   => $msg
      ) );
      die();
    }
  }
}
